今天没有新动态
@胡伟明

AutoCAD二次开发教程(7)-通过VB6创建填充

1:实体填充 完整代码如下: On Error Resume Next ' 连接至 AutoCAD 应用程序 Dim acadApp As AcadApplication Dim docObj As AcadDocument Set acadApp = GetObject(, "AutoCAD.Application.17.1") Set docObj = acadApp.Application.Doc ...
  • 0
  • 731
  • 0
  • 3
@胡伟明

AutoCAD二次开发教程(6)-通过VB6绘制辅助线

1:绘制构造线 代码如下: On Error Resume Next ' 连接至 AutoCAD 应用程序 Dim acadApp As AcadApplication Dim docObj As AcadDocument Set acadApp = GetObject(, "AutoCAD.Application.17.1") Set docObj = acadApp.Application.Docum ...
  • 0
  • 549
  • 0
  • 2
@胡伟明

AutoCAD二次开发教程(5)-通过VB6设置文档窗口

本次我们通过VB来设置文档窗口,文档窗口就是我们绘制图形的黑色区域。 1:设置文档大小 代码如下: On Error Resume Next ' 连接至 AutoCAD 应用程序 Dim acadApp As AcadApplication Dim docObj As AcadDocument Set acadApp = GetObject ...
  • 0
  • 683
  • 0
  • 4
@胡伟明

TextBox拼接字符与变量

将常量与变量拼接后一起显示,示例代码如下: TextBox1="Hu" & a & "Wei" & b & "ming" Hu,Wei,ming为字符,a与b为变量,也就是字符写在""中,变量写在&  &中,假如a与b分别是100与200,那么最后显示为: Hu100Wei ...
  • 0
  • 582
  • 0
  • 0
@胡伟明

WPF窗口不在任务栏显示

在.xaml添加代码,不添加默认是显示的。 ShowInTaskbar="False" 隐藏WPF窗口使用代码: Me.Visibility = Visibility.Hidden  
  • 0
  • 511
  • 0
  • 0
@胡伟明

WPF如何添加关闭事件

在.xaml开头添加关闭响应,后台编写相应的关闭响应事件。 直接输入closed=之后会自动提示新建关闭响应事件,直接点击之后后台代码会自动添加关闭响应事件。 后台(.xaml.vb)自动添加的代码如下: Private Sub Window_Closed(sender As ...
  • 0
  • 434
  • 0
  • 1
@胡伟明

AutoCAD二次开发教程(4)-通过VB6设置AutoCAD窗口

1:更改AutoCAD窗口位置与大小 代码如下 : On Error Resume Next ' 连接至 AutoCAD 应用程序 Dim acadApp As AcadApplication Dim docObj As AcadDocument Set acadApp = GetObject(, "AutoCAD.Application.17.1") Set docObj = acadApp.A ...
  • 0
  • 643
  • 0
  • 3
@胡伟明

通过Fluent.Ribbon与Dirkster.AvalonDock设计界面

本文介绍如何通过Fluent.Ribbon与Dirkster.AvalonDock来设计稍微现代化一点的界面。 看一下最后完成的效果: 操作示例: 有Ribbon风格的菜单栏,还有左右两栏的布局方式。 编程环境:Visual Studio 2022 编程语言:VB.net ...
  • 0
  • 582
  • 0
  • 6
@胡伟明

AutoCAD二次开发教程(3)-通过VB6绘制点并设置样式

环境与引用步骤同:AutoCAD二次开发教程(1)-通过VB6绘制直线 1:绘制点 代码如下: On Error Resume Next ' 连接至 AutoCAD 应用程序 Dim acadApp As AcadApplication Dim docObj As AcadDocument Set acadApp = GetObject(, "AutoCAD.Ap ...
  • 0
  • 686
  • 0
  • 3